(function(module) {
	var siteRoot = process.env.SITE_ROOT || 'https://localhost';
	var winston = module.parent.require('winston');
	var Plugin = {};

	Plugin.init = function (data, callback) {
		data.router.get('/login', function (req, res) {
			winston.verbose('[nodebb-plugin-gameleap-login] Attempting to redirect to: ', siteRoot + '/login');
			res.redirect(siteRoot + '/login');
		});
		callback(null, data);
	};

	module.exports = Plugin;
}(module));
